Subject: [PATCH] arm: fix build failure in code for mach-bcmring/dma.c

From: [email-masked] (Jiandong Zheng)
Date: Mon, 23 Jan 2012 12:37:53 -0800

> Moreover, from what I can see, dma.c is unused by code in the mainline
> kernel - I couldn't find any reference to dma_map_mem() or
> dma_init_mem_map() both of which seem to be pre-requisits for using
> this code.  Obviously you have drivers which use it.
>
> What can be done to clean this up?
>
Yes, it was used by another driver not in mainline kernel. Since that 
driver is being rewritten and these functions are not used in mainline 
kernel either, I will send out a patch to remove them soon.

Thanks,
JD